@echo off
rem ------------------------------------------------------------------
rem Licensed Materials - Property of IBM
rem 5725-C20
rem
rem (C) Copyright IBM Corporation 2011.  All Rights Reserved.
rem
rem US Government Users Restricted Rights - Use, duplication, or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ------------------------------------------------------------------

setlocal
set CURRENT_DIR=%~d0%~p0
set ROOT_DIR=%CURRENT_DIR%..

set JAVA_DIR=%ROOT_DIR%\jre\bin
set LWI_DIR=%ROOT_DIR%\lwi
set PLUGIN_DIR=%LWI_DIR%\runtime\aem\eclipse\plugins
set AGENT_DIR=com.ibm.tivoli.itmfem.ke9_*

set MAIN_CLASS=com.ibm.tivoli.itmfem.ke9.cli.CLI
set JAR_FILE=ke9Agent.jar

rem Figure out the path, regardless of plug-in version.
FOR /F %%A IN ('DIR /A:D /B "%PLUGIN_DIR%\%AGENT_DIR%" ^| FIND /V /I "fix" ^| SORT') DO FOR %%B IN (%%A) DO SET AGENT_PATH=%%B

set CP=%PLUGIN_DIR%\%AGENT_PATH%\%JAR_FILE%
cd "%PLUGIN_DIR%\%AGENT_PATH%"
"%JAVA_DIR%\java" -classpath "%CP%" %MAIN_CLASS% %1 %2 %3 %4 %5 %6 %7 %8 %9
exit /B %errorlevel%
